Subject: Re: Statistics

From: Brian Rosen <[email-masked]>
Date: Fri, 3 Sep 1999 10:20:48 -0400

I do think we are into feature-creep here, and I do
want to stop it.

I don't agree that having RequestedInfo legal in other commands makes
implementation more complicated.  Commands need to be able to return all
sorts of descriptors if there was an underspecified parameter included.
Processing the requestedInfo descriptor has to be there for AuditValue
anyway.  I suspect it is close to zero work to make it
happen; probably much more work to test it than to implement it.

What kind of "flag" were you thinking?  If it's in the command, then the
only flag that makes sense is "RequestedInfo".  If it's my property-of-root,
then
I'll agree it's a good idea, but why wouldn't you have
the same thing for Move?

Brian

> -----Original Message-----
> From: Nancy-M Greene [mailto:[email-masked]]
> Sent: Friday, September 03, 1999 10:02 AM
> To: [email-masked]; 'Brian Rosen'
> Subject: RE: Statistics
> 
> 
> Brian, although your idea is interesting, I do not agree that 
> we should make
> this change. The functionality is there already - if you want 
> information at
> any time, you just issue an AuditValue. Piggybacking 
> AuditValue onto all
> commands makes all commands more complicated to implement. Let's leave
> things as they are with respect to the parameters returned in 
> Add, Move,
> Modify. Let's leave Move as it is, and require the sending of 
> AuditValue to
> get stats. If you want, a flag can be added to Subtract that 
> says whether or
> not you want to have the stats returned.
> 
> Nancy
> --------------------------------------------------------------
> ------------
> Nancy M. Greene 
> Internet & Service Provider Networks, Nortel Networks
> T:514-271-7221 (internal:ESN853-1077) E:[email-masked]
> 
> > ----------
> > From:       Brian Rosen[SMTP:[email-masked]]
> > Sent:       Friday, September 03, 1999 7:55 AM
> > To:         [email-masked]
> > Subject:    Re: Statistics
> > 
> > I see why you would suggest this, but I think it only applies to a
> > subset of the cases.  I'd rather not have statistics come from the
> > general case of MOVE.  If you want them, you could Audit.
> >  
> > This leads me to the following thought.
> >  
> > What if the RequestedInfo descriptor was legal in the 
> Add/Move/Modify?
> > That is, you could get an AuditValue return of your choice from any
> > Add/Move/Modify.
> >  
> > Let me take that one step farther.
> >  
> > Suppose that it was also legal in Subtract, and in fact, 
> that was how you
> > got
> > the Statistics return from Subtract -- it isn't automatic, 
> you ask for it.
> > Perhaps, if you don't like that, there was a property of 
> root that turned
> > the
> > automatic statistic report on Subtract on/off.  Hmmmm, 
> there could also
> > be one for Move if you like, which is another way to solve 
> my problem with
> > always sending it on Move.
> >  
> > I don't think there is any downside.  I can think of one anomaly:
> > If you underspecify a property AND you request the return of that
> > descriptor, do you get it once or twice?  I'd say, once.
> >  
> > Brian
> > 
> > 
>